Bug 847537 - SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from unlink access on the sock_file socket-2083-1804289383.
SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from unlink acc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 14:44 EDT by IVG
Modified: 2013-08-01 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:08:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description IVG 2012-08-12 14:44:55 EDT
Description of problem:

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from unlink access on the sock_file socket-2083-1804289383.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that npviewer.bin should be allowed unlink access on the socket-2083-1804289383 sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:thumb_tmp_t:s0
Target Objects                socket-2083-1804289383 [ sock_file ]
Source                        npviewer.bin
Source Path                   /usr/lib64/nspluginwrapper/npviewer.bin
Port                          <Unknown>
Host                          Fedora17-PC
Source RPM Packages           nspluginwrapper-1.4.4-9.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     Fedora17-PC
Platform                      Linux Fedora17-PC 3.5.1-1.fc17.x86_64 #1 SMP Thu
                              Aug 9 17:50:43 UTC 2012 x86_64 x86_64
Alert Count                   5
First Seen                    Sat 11 Aug 2012 12:22:20 PM EEST
Last Seen                     Sun 12 Aug 2012 09:14:40 PM EEST
Local ID                      3c2f03a8-48ce-4686-915b-45b5f8a44a18

Raw Audit Messages
type=AVC msg=audit(1344795280.812:83): avc:  denied  { unlink } for  pid=2083 comm="npviewer.bin" name="socket-2083-1804289383" dev="sda5" ino=278168 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:thumb_tmp_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1344795280.812:83): arch=x86_64 syscall=unlink success=yes exit=0 a0=1ae3240 a1=7fff4b0cf1c0 a2=7fff4b0cf1c0 a3=7fff4b0cef40 items=0 ppid=2023 pid=2083 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=npviewer.bin exe=/usr/lib64/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: npviewer.bin,mozilla_plugin_t,thumb_tmp_t,sock_file,unlink

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t thumb_tmp_t:sock_file unlink;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t thumb_tmp_t:sock_file unlink;
Comment 1 Fedora End Of Life 2013-07-03 23:30:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 07:08:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.